unpack the debs (#562)

* unpack the debs

* update rest

* ignore
This commit is contained in:
Adeeb Shihadeh
2026-04-30 12:54:27 -07:00
committed by GitHub
parent d582df6165
commit fe3c65b79f
446 changed files with 10678 additions and 27 deletions
+2
View File
@@ -1,3 +1,5 @@
exclude: '^userspace/root/'
repos:
- repo: meta
hooks:
+4 -3
View File
@@ -66,9 +66,10 @@ RUN /tmp/agnos/openpilot_python_dependencies.sh
# ################### #
FROM agnos-base
# Hardware rootfs overlay
COPY ./userspace/root/ /
# Hardware setup
RUN mkdir -p /tmp/agnos/debs
COPY ./userspace/debs /tmp/agnos/debs
COPY ./userspace/hardware_setup.sh /tmp/agnos
RUN /tmp/agnos/hardware_setup.sh
RUN mv /data/persist /system/ && rm -rf /data/*
@@ -184,7 +185,7 @@ RUN systemctl enable ModemManager
# Add more T-Mobile networks to mobile-broadband-provider-info (do we still need the package?)
COPY ./userspace/files/serviceproviders.xml /usr/share/mobile-broadband-provider-info/serviceproviders.xml
# Copy extra FW, rest comes from debs
# Copy extra FW, rest comes from the rootfs overlay
COPY ./userspace/files/CAMERA_ICP.elf /usr/lib/firmware
# Setup hostname resolution for our custom hostname
-1
View File
@@ -1 +0,0 @@
/tmp/
-4
View File
@@ -1,4 +0,0 @@
mkdir tmp
dpkg-deb -R original.deb tmp
# edit DEBIAN/postinst
dpkg-deb -b tmp fixed.deb
-3
View File
@@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:c4f29db31059124572eb0bcae41492fe20e048a89a91093f47e966d8f3a64fa7
size 1096928
-3
View File
@@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:7d5166e1df3e0dd5123f63541eab4923164a5003c3c4c867f35bdcbcddde4ba4
size 51109180
-3
View File
@@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:1112a9a92af5696ab770b1ae61729aad7fd7c316188dbc71fc22704529194955
size 135384
+6 -10
View File
@@ -1,18 +1,14 @@
#!/bin/bash -e
# Install driver deb files (we're fine with overwriting stuff too)
cd /tmp/agnos/debs
# Setting up usr merged lib64 since it's not done by default (in 24.04-base)
# https://wiki.debian.org/UsrMerge
# https://www.freedesktop.org/wiki/Software/systemd/TheCaseForTheUsrMerge/
sudo mkdir /usr/lib64
sudo ln -s usr/lib64 /lib64
apt-get -o Dpkg::Options::="--force-overwrite" install -yq \
./agnos-base.deb \
./agnos-display_0.0.1.deb \
./agnos-wlan_0.0.3.deb
mkdir -p /usr/lib64
if [ -d /lib64 ] && [ ! -L /lib64 ]; then
cp -a /lib64/. /usr/lib64/
rm -rf /lib64
fi
ln -sfn usr/lib64 /lib64
# Install 16.04 version of libjson-c2
cd /tmp
@@ -0,0 +1,3 @@
# List of MAC addresses that are allowed to authenticate (IEEE 802.11)
# with the AP. Optional VLAN ID can be assigned for clients based on the
# MAC address if dynamic VLANs (hostapd.conf dynamic_vlan option) are used.
File diff suppressed because it is too large Load Diff
@@ -0,0 +1,2 @@
# List of MAC addresses that are not allowed to authenticate (IEEE 802.11)
# with the AP.
@@ -0,0 +1,11 @@
ctrl_interface=/data/misc/wifi/sockets
disable_scan_offload=1
update_config=1
device_name=Android_700b
device_type=10-0050F204-5
config_methods=display push_button keypad virtual_push_button physical_display
persistent_reconnect=1
p2p_add_cli_chan=1
p2p_no_group_iface=1
bss_max_count=400
pmf=1
@@ -0,0 +1,7 @@
update_config=1
eapol_version=1
ap_scan=1
fast_reauth=1
pmf=1
p2p_add_cli_chan=1
wowlan_triggers=magic_pkt
View File
View File
+8
View File
@@ -0,0 +1,8 @@
ext4
ext3
ext2
vfat
fat
btrfs
minix
*
Binary file not shown.
+26
View File
@@ -0,0 +1,26 @@
#! /bin/sh
set -e
case "$1" in
start)
echo -n "Starting atreset: "
start-stop-daemon -S -b -x /sbin/init_mss
echo "done"
;;
stop)
echo -n "Stopping atreset: "
start-stop-daemon -K -n init_mss
echo "done"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage init_mss{ start | stop | restart }" >&2
exit 1
;;
esac
exit 0
+21
View File
@@ -0,0 +1,21 @@
#!/bin/sh
#==============================================================================
# FILE: ipa_fws.sh
#
# DESCRIPTION:
# Indicate to IPA driver that FWs are available from user space for fetching
# and loading
#
# Copyright (c) 2017 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#==============================================================================
# Look for ipa_config.txt file and cat it's content to /dev/ipa before ipa is ready.
# A write of 1 or MHI to /dev/ipa will indicate that user space is available and the
# FWs can be fetched.
FILE=/data/misc/ipa/ipa_config.txt
if [ -f $FILE ]; then
echo $(cat $FILE) > /dev/ipa
fi
# replace 1 with mhi if mhi usecases is execersized.
echo 1 > /dev/ipa
+43
View File
@@ -0,0 +1,43 @@
#!/bin/sh
#
# Copyright (c) 2017 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#
# Starts the cnss_services daemon
#
PATH=/sbin:/bin:/usr/sbin:/usr/bin
SSR_SUBSYS_PATH=/sys/bus/msm_subsys/devices
SSR_SUBSYS=`ls -d $SSR_SUBSYS_PATH/subsys*`
SSR_CLD_SUBSYS_NAME=AR6320
SSR_RESTART_LEVEL=system
case "$1" in
start)
echo "Starting cnss_daemon... $@"
if [ -e /tmp/cnss_daemon.log ];
then
echo "Starting cnss_daemon..." >> /tmp/cnss_daemon.log
start-stop-daemon -S -x /usr/sbin/cnss_daemon -- -d -f /tmp/cnss_daemon.log
else
start-stop-daemon -S -x /usr/sbin/cnss_daemon
fi
echo "done"
;;
stop)
echo -n "Stopping cnss_services: "
start-stop-daemon -K -n /usr/sbin/cnss_daemon
echo "done"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage: cnss_daemon { start | stop | restart }" >&2
exit 1
;;
esac
exit 0
+40
View File
@@ -0,0 +1,40 @@
#! /bin/sh
### BEGIN INIT INFO
# Provides: Qualcomm.com
# Required-Start:
# Required-Stop:
# Default-Start:
# Default-Stop:
# Short-Description: tftp server
# Description: tftp server dasmon
### END INIT INFO
# Copyright (c) 2014 Qualcomm Technologies, Inc. All Rights Reserved.
# Qualcomm Technologies Proprietary and Confidential.
set -e
case "$1" in
start)
echo -n "Starting tftp_server: "
while [ ! -e /data/persist/rfs ] ; do sleep 0.1; done
start-stop-daemon -S -b -x /sbin/tftp_server
echo "done"
;;
stop)
echo -n "Stopping tftp_server: "
start-stop-daemon -K -n tftp_server
echo "done"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage tftp_server { start | stop | restart}" >&2
exit 1
;;
esac
exit 0
+92
View File
@@ -0,0 +1,92 @@
#!/bin/sh
#
# Copyright (c) 2017, The Linux Foundation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the documentation and/or other materials provided
# with the distribution.
# * Neither the name of The Linux Foundation nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#It is for sda845-ubuntu
export MODULE_BASE=/lib/modules/`uname -r`
export RETRY_LIMIT=3
HELP="Usage $0 {start | stop | restart} <ap | sta>"
DUMP_TO_KMSG=/dev/kmsg
do_ctrl_nl80211() {
case "$1" in
start)
echo "Starting WLAN... $@" > $DUMP_TO_KMSG
shift
set -e
insmod $MODULE_BASE/extra/wlan.ko $@
set +e
c=1
ifconfig wlan0 up 2> /dev/null
rc=$?
while [ $rc -ne 0 -a $c -le $RETRY_LIMIT ]; do
sleep 1
ifconfig wlan0 up 2> /dev/null
rc=$?
c=`expr $c + 1`
done
if [ $c -gt $RETRY_LIMIT ]; then
echo "WLAN bring-up failed!" > $DUMP_TO_KMSG
exit 1
fi
;;
stop)
echo "Stopping WLAN..." > $DUMP_TO_KMSG
ifconfig wlan0 down
rmmod wlan
;;
restart)
do_ctrl_nl80211 stop
shift
do_ctrl_nl80211 start $@
return $?
;;
*)
return 1
;;
esac
return 0
}
do_ctrl_nl80211 $@
if [ $? -ne 0 ]; then
echo $HELP >&2
exit 1
fi
exit 0
+48
View File
@@ -0,0 +1,48 @@
#!/bin/sh
# Copyright (c) 2018, The Linux Foundation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the documentation and/or other materials provided
# with the distribution.
# * Neither the name of The Linux Foundation nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
suffix=$(getslotsuffix)
partition=$3${suffix}
count=0
while [ ! -h "$partition" ]; do
sleep 0.1
# wait 10s for file
count=$(( $count + 1 ))
if [ $count -ge 100 ]; then
echo "[ERROR] Can not find the"$partition
exit 1
fi
done
mount -o $1 -t $2 $partition $4
result=$?
if [ 0 -ne $result ];then
sleep 2
mount -o $1 -t $2 $partition $4
fi
+35
View File
@@ -0,0 +1,35 @@
#!/bin/sh
###############################################################################
#
# This script is used for System V init scripts to start adsp
#
# Copyright (c) 2012-2016 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#
###############################################################################
set -e
case "$1" in
start)
echo -n "Starting adsp: "
/usr/local/qr-linux/adsp-start.sh
echo "done"
;;
stop)
echo -n "Stopping adsp: "
echo 0 > /sys/kernel/boot_adsp/boot
echo "done"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage adsp.sh { start | stop | restart}" >&2
exit 1
;;
esac
exit 0
+7
View File
@@ -0,0 +1,7 @@
#!/bin/sh
#change the group that owns /dev/diag and change permissions to user rw and group rw (no other rw)
chgrp diag /dev/diag
chmod 660 /dev/diag
chown diag:diag /media/card
chown diag:diag /sdcard
+77
View File
@@ -0,0 +1,77 @@
#! /bin/sh
#
# Copyright (c) 2016, The Linux Foundation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the documentation and/or other materials provided
# with the distribution.
# * Neither the name of The Linux Foundation nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
#
# Short-Description: logd daemon
# Description: init.d script to start logd daemon
set -e
wait_for_logd_to_start() {
while [ -z $(pidof -o %PPID logd) ];
do
echo "waiting for logd to start"
done
}
case "$1" in
start)
if [ ! -d /dev/socket ]; then
mkdir /dev/socket
fi
chmod 777 /dev/socket
echo 600 > /proc/sys/net/unix/max_dgram_qlen
if [ -z $(pidof -o %PPID logd) ]; then
echo "Starting logd ..."
start-stop-daemon -S -b -x /sbin/logd
fi
wait_for_logd_to_start
# add a small delay, before socket permission are
# being set.
sleep 0.2s
echo "Logd running: Setting permission .."
chmod 0666 /dev/socket/logd
chmod 0666 /dev/socket/logdr
chmod 0222 /dev/socket/logdw
echo "done"
;;
stop)
echo -n "Stopping logd: "
start-stop-daemon -K -n logd
echo "done"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage logd { start | stop | restart}" >&2
exit 1
;;
esac
exit 0
+41
View File
@@ -0,0 +1,41 @@
#!/bin/sh
#
# qseecomd init.d script to start the securemsm qseecomd daemon
#
#
set -e
soc_id=`cat /sys/devices/soc0/soc_id`
if [[ "$soc_id" -ne "290" && "$soc_id" -ne "296" && "$soc_id" -ne "297" && "$soc_id" -ne "298" && "$soc_id" -ne "299" ]]; then
case "$1" in
start)
echo -n "Starting securemsm qseecomd daemon....: "
if [ -e /dev/qseecom ]; then
chmod 0666 /dev/qseecom
fi
chmod 0664 /dev/ion
if [ -e /dev/sde20 ]; then
chmod 0664 /dev/sde20
fi
start-stop-daemon -S -b -x /usr/bin/qseecomd
echo "done"
;;
stop)
echo -n "Stoping securemsm qseecomd daemon......: "
start-stop-daemon -K -n qseecomd
echo "done"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage qseecomd { start | stop | restart}" >&2
exit 1
;;
esac
fi
exit 0
+50
View File
@@ -0,0 +1,50 @@
#!/bin/sh
#==============================================================================
# FILE: sfs_config
#
# DESCRIPTION:
# create files and give permissions to the files and directories needed by
# secure file system
#
# Copyright (c) 2017 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#==============================================================================
set -e
soc_id=`cat /sys/devices/soc0/soc_id`
if [[ "$soc_id" -ne "290" && "$soc_id" -ne "296" && "$soc_id" -ne "297" && "$soc_id" -ne "298" && "$soc_id" -ne "299" ]]; then
if [ "$soc_id" -eq "341" ]; then
if [[ -e /data/persist && ! -e /persist ]]; then
ln -sf /data/persist /persist
fi
fi
if [ -e /persist ]; then
if [ ! -d /persist/data ]; then
echo "Creating /persist/data"
mkdir /persist/data
fi
chmod o+rwx /persist/data
fi
if [ ! -d /data/misc ]; then
echo "Creating /data/misc"
mkdir /data/misc
fi
chmod o+rwx /data/misc
if [ ! -d /persist/tzstorage ]; then
echo "Creating /persist/tzstorage"
mkdir -p /persist/tzstorage
fi
chmod o+rwx /persist/tzstorage
if [ ! -L /data/vendor/tzstorage ]; then
echo "Creating /data/vendor/tzstorage"
mkdir -p /data/vendor/
ln -s /persist/tzstorage /data/vendor/tzstorage
fi
echo "SFS configuration completed."
fi
exit 0
+43
View File
@@ -0,0 +1,43 @@
#!/bin/sh
#
# Copyright (c) 2017 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#
# Starts the cnss_services daemon
#
PATH=/sbin:/bin:/usr/sbin:/usr/bin
SSR_SUBSYS_PATH=/sys/bus/msm_subsys/devices
SSR_SUBSYS=`ls -d $SSR_SUBSYS_PATH/subsys*`
SSR_CLD_SUBSYS_NAME=AR6320
SSR_RESTART_LEVEL=system
case "$1" in
start)
echo "Starting cnss_daemon... $@"
if [ -e /tmp/cnss_daemon.log ];
then
echo "Starting cnss_daemon..." >> /tmp/cnss_daemon.log
start-stop-daemon -S -x /usr/sbin/cnss_daemon -- -d -f /tmp/cnss_daemon.log
else
start-stop-daemon -S -x /usr/sbin/cnss_daemon
fi
echo "done"
;;
stop)
echo -n "Stopping cnss_services: "
start-stop-daemon -K -n /usr/sbin/cnss_daemon
echo "done"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage: cnss_daemon { start | stop | restart }" >&2
exit 1
;;
esac
exit 0
+28
View File
@@ -0,0 +1,28 @@
#! /bin/sh
# Copyright (c) 2015 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
set -e
case "$1" in
start)
echo -n "Starting pdmapper service "
start-stop-daemon -S -b -x /usr/bin/pdmappersvc
echo "done"
;;
stop)
echo -n "Stopping pdmapper service "
start-stop-daemon -K -n /usr/bin/pdmappersvc
echo "done"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage pdmappersvc { start | stop | restart }" >&2
exit 1
;;
esac
exit 0
+192
View File
@@ -0,0 +1,192 @@
#!/bin/sh
#
# Copyright (c) 2012-2015, 2018, The Linux Foundation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# * Neither the name of The Linux Foundation nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO
# EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# Starts the USB Android Gadget.
export KERNEL=`uname -r`
export SOFTAP_W_DUN="N"
export ANDROID_LOG_TAGS="*:d"
export LS_COLORS="none"
case "$1" in
start)
if [ -d /sys/class/android_usb/android0/f_ffs ]
then
echo adb > /sys/class/android_usb/android0/f_ffs/aliases
fi
# get soc platform to update product related information
if [ -f /sys/devices/soc0/hw_platform ]; then
socplatform=`cat /sys/devices/soc0/machine` 2> /dev/null
soc_hwplatform=`cat /sys/devices/soc0/hw_platform`
soc_subtypeid=`cat /sys/devices/soc0/platform_subtype_id`
else
socplatform=`cat /sys/devices/system/soc/soc0/machine` 2> /dev/null
fi
echo "soc:" $socplatform
# find serialno from cmdline
serialno=`cat /proc/cmdline | grep -o "androidboot.serialno=[A-Za-z0-9]*" | cut -d "=" -f2`
if [ "$serialno" == "" ]; then
echo "serialno not found with cmdline, use default"
serialno="12345678"
fi
echo "serialno:" $serialno
msm_serial=`cat /sys/devices/soc0/serial_number`
msm_serial_hex=`printf %08X $msm_serial`
product_string="$socplatform-$soc_hwplatform _SN:$msm_serial_hex"
# try to mount configfs, and create instance of USB functions if it goes through
mount -t configfs none /sys/kernel/config
if [ -d /sys/kernel/config/usb_gadget ]; then
echo "Configuring the USB gadget using ConfigFS..."
cd /sys/kernel/config/usb_gadget
mkdir g1
cd g1
mkdir strings/0x409
mkdir configs/c.1
mkdir configs/c.1/strings/0x409
mkdir functions/mass_storage.0
mkdir functions/mass_storage.1
mkdir functions/ffs.adb
mkdir functions/diag.diag
mkdir functions/cser.dun.0
mkdir functions/cser.nmea.1
mkdir functions/gser.0
mkdir functions/rmnet_bam.rmnet
mkdir functions/gsi.rmnet
mkdir functions/gsi.rndis
mkdir functions/gsi.ecm
mkdir functions/gsi.mbim
mkdir functions/gsi.dpl
mkdir functions/gsi.gps
mkdir functions/ncm.0
mkdir functions/qdss.qdss
mkdir functions/uac1.uac1
if [ ! -s "/etc/adb_devid" ]
then
echo $serialno > /etc/adb_devid
sync
fi
cat /etc/adb_devid > strings/0x409/serialnumber
echo "QCOM" > strings/0x409/manufacturer
echo "$product_string" > strings/0x409/product
setprop sys.usb.configfs 1
cd /
fi
if [ -d /sys/class/android_usb/android0 ]
then
echo "$product_string" > /sys/class/android_usb/android0/iProduct
fi
# mount functionfs
mkdir -p /dev/usb-ffs/adb
mount -o uid=2000,gid=2000 -t functionfs adb /dev/usb-ffs/adb
mount -o remount,gid=5,mode=620 /dev/pts
case `source /sbin/usb/target` in
*9x15* )
# Nothing to do here for 9x15
;;
*9x25* )
echo "Unbind EHCI HSIC host device driver"
echo msm_hsic_host > /sys/bus/platform/drivers/msm_hsic_host/unbind
;;
*9x35* )
echo "Unbind EHCI HSIC host device driver"
echo f9a15000.hsic_host > /sys/bus/platform/drivers/msm_hsic_host/unbind
echo 1 > /sys/devices/virtual/android_usb/android0/f_rndis_qc/max_pkt_per_xfer
echo 3 > /sys/module/dwc3/parameters/bulk_ep_xfer_timeout_ms
;;
*8916* )
echo 9091 > /etc/usb/boot_hsusb_comp
;;
*9640* )
echo 16384 > /sys/module/g_android/parameters/rndis_dl_max_xfer_size
;;
*9650* )
echo 16384 > /sys/module/g_android/parameters/gsi_in_rndis_aggr_size
;;
*sdx20* )
echo Y > /sys/module/libcomposite/parameters/enable_l1_for_hs
echo Y > /sys/module/dwc3/parameters/enable_dwc3_u1u2
;;
*8909* | *8053* | *8017* | *qcs605* | *qcs40x* )
echo 901D > /etc/usb/boot_hsusb_comp
;;
esac
# enable debug message
if [ -f /sbin/usb/debuger/default_debug ];
then
rm -rf /sbin/usb/debuger/statusFile
usb_debug -f on n /sbin/usb/debuger/default_debug
fi
# enable concurrent SoftAP and DUN
if [ -f /data/usb/softap_w_dun ]
then
SOFTAP_W_DUN=`cat /data/usb/softap_w_dun`
fi
# boot hsic composition:
if [ -d /sys/class/android_usb/android1 ]
then
pid=`cat /etc/usb/boot_hsic_comp`
/sbin/usb/compositions/$pid y
# let hsic compostion script run before starting hsusb
sleep 1
fi
# boot hsusb composition:
if [ -d /sys/class/android_usb/android0 ]
then
pid=`cat /etc/usb/boot_hsusb_comp`
/sbin/usb/compositions/$pid n
if [ "$SOFTAP_W_DUN" == "Y" ]
then
echo "DUN+SOFTAP mode is enabled."
echo 1 > /sys/devices/virtual/android_usb/android0/f_serial/dun_w_softap_enable
fi
fi
;;
stop)
echo "Stopping USB Android Gadget"
;;
restart)
$0 stop
$0 start
;;
*)
echo "Usage usb { start | stop | restart}" >&2
exit 1
;;
esac
+92
View File
@@ -0,0 +1,92 @@
#!/bin/sh
#
# Copyright (c) 2017, The Linux Foundation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the documentation and/or other materials provided
# with the distribution.
# * Neither the name of The Linux Foundation nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#It is for sda845-ubuntu
export MODULE_BASE=/lib/modules/`uname -r`
export RETRY_LIMIT=3
HELP="Usage $0 {start | stop | restart} <ap | sta>"
DUMP_TO_KMSG=/dev/kmsg
do_ctrl_nl80211() {
case "$1" in
start)
echo "Starting WLAN... $@" > $DUMP_TO_KMSG
shift
set -e
insmod $MODULE_BASE/extra/wlan.ko $@
set +e
c=1
ifconfig wlan0 up 2> /dev/null
rc=$?
while [ $rc -ne 0 -a $c -le $RETRY_LIMIT ]; do
sleep 1
ifconfig wlan0 up 2> /dev/null
rc=$?
c=`expr $c + 1`
done
if [ $c -gt $RETRY_LIMIT ]; then
echo "WLAN bring-up failed!" > $DUMP_TO_KMSG
exit 1
fi
;;
stop)
echo "Stopping WLAN..." > $DUMP_TO_KMSG
ifconfig wlan0 down
rmmod wlan
;;
restart)
do_ctrl_nl80211 stop
shift
do_ctrl_nl80211 start $@
return $?
;;
*)
return 1
;;
esac
return 0
}
do_ctrl_nl80211 $@
if [ $? -ne 0 ]; then
echo $HELP >&2
exit 1
fi
exit 0
View File
+1
View File
@@ -0,0 +1 @@
../init.d/tftp_server.sh
+1
View File
@@ -0,0 +1 @@
../init.d/tftp_server.sh
+1
View File
@@ -0,0 +1 @@
../init.d/tftp_server.sh
+1
View File
@@ -0,0 +1 @@
../init.d/tftp_server.sh
@@ -0,0 +1,17 @@
# Copyright (c) 2017 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#
[Unit]
Description=chgrp-diag Service
SourcePath=/etc/initscripts/chgrp-diag
[Service]
Restart=no
RemainAfterExit=yes
ExecStart=/etc/initscripts/chgrp-diag start
ExecStop=/etc/initscripts/chgrp-diag stop
[Install]
WantedBy=multi-user.target
@@ -0,0 +1,17 @@
# Copyright (c) 2018 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#
[Unit]
Description=CNSS Daemon Service
SourcePath=/etc/initscripts/start_cnss_daemon
[Service]
Restart=no
RemainAfterExit=yes
ExecStart=/etc/initscripts/start_cnss_daemon start
ExecStop=/etc/initscripts/start_cnss_daemon stop
[Install]
WantedBy=multi-user.target
@@ -0,0 +1 @@
../systemrw.mount
@@ -0,0 +1 @@
/etc/systemd/chgrp-diag.service
@@ -0,0 +1 @@
/etc/systemd/system/cnss-daemon.service
@@ -0,0 +1 @@
/etc/systemd/system/pdmapper.service
@@ -0,0 +1 @@
/etc/systemd/system/qseecomd.path
@@ -0,0 +1 @@
/etc/systemd/system/sfsconfig.service
@@ -0,0 +1 @@
/etc/systemd/system/wlan_daemon.service
@@ -0,0 +1,19 @@
# Copyright (c) 2018 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#
[Unit]
Description=SS-Services Service
SourcePath=/etc/initscripts/start_pdmappersvc
After=init_sys_mss.service
Requires=init_sys_mss.service
[Service]
Restart=no
RemainAfterExit=yes
ExecStart=/etc/initscripts/start_pdmappersvc start
ExecStop=/etc/initscripts/start_pdmappersvc stop
[Install]
WantedBy=multi-user.target
@@ -0,0 +1,16 @@
# Copyright (c) 2018 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#
[Unit]
Description=Path watching for qseecomd.service
DefaultDependencies=no
Conflicts=shutdown.target
Before=paths.target shutdown.target systemd-udev-trigger.service
[Path]
PathModified=/dev/qseecom
[Install]
WantedBy=multi-user.target
@@ -0,0 +1,19 @@
# Copyright (c) 2017 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#
[Unit]
Description=Qseecomd Service
SourcePath=/etc/initscripts/qseecomd
After=leprop.service
Requires=leprop.service
[Service]
Restart=no
RemainAfterExit=yes
ExecStart=/etc/initscripts/qseecomd start
ExecStop=/etc/initscripts/qseecomd stop
[Install]
WantedBy=multi-user.target
@@ -0,0 +1,17 @@
# Copyright (c) 2017 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
[Unit]
Description=sfs configuration Service
SourcePath=/etc/initscripts/sfs_config
After=qseecomd.service
[Service]
Restart=no
RemainAfterExit=yes
ExecStart=/etc/initscripts/sfs_config
ExecStop=/etc/initscripts/sfs_config
[Install]
WantedBy=multi-user.target
@@ -0,0 +1,34 @@
# Copyright (c) 2017, The Linux Foundation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the documentation and/or other materials provided
# with the distribution.
# * Neither the name of The Linux Foundation nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
[Unit]
Before=local-fs.target
[Mount]
What=/dev/disk/by-partlabel/systemrw
Where=/systemrw
Options=relatime,data=ordered,noauto_da_alloc,discard,noexec,nodev
@@ -0,0 +1,42 @@
# Copyright (c) 2016, The Linux Foundation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the documentation and/or other materials provided
# with the distribution.
# * Neither the name of The Linux Foundation nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
[Unit]
Description=Wlan Service
SourcePath=/etc/init.d/wlan
Requires=wcnss_wlan.service
After=persist.mount firmware-links.service wcnss_wlan.service usb.service
[Service]
Restart=no
RemainAfterExit=yes
ExecStart=/etc/initscripts/wlan start
ExecStop=/etc/initscripts/wlan stop
[Install]
WantedBy=multi-user.target
@@ -0,0 +1,5 @@
KERNEL=="binder", MODE="0666"
KERNEL=="log_main", SUBSYSTEM=="misc", NAME="log/main", MODE="0644"
KERNEL=="log_radio", SUBSYSTEM=="misc", NAME="log/radio", MODE="0644"
KERNEL=="log_system", SUBSYSTEM=="misc", NAME="log/system", MODE="0644"
KERNEL=="log_events", SUBSYSTEM=="misc", NAME="log/events", MODE="0644"
@@ -0,0 +1,20 @@
# There are a number of modifiers are allowed to be used in some
# of the different fields. They provide the following subsitutions:
#
# %n the "kernel number" of the device.
# For example, 'sda3' has a "kernel number" of '3'
# %e the smallest number for that name which does not matches an existing node
# %k the kernel name for the device
# %M the kernel major number for the device
# %m the kernel minor number for the device
# %b the bus id for the device
# %c the string returned by the PROGRAM
# %s{filename} the content of a sysfs attribute
# %% the '%' char itself
#
# Automount partitions
KERNEL=="mmcblk[0-9]*p[0-9]*", SUBSYSTEM=="block", ACTION=="add" RUN+="/etc/udev/scripts/automountsdcard.sh %k"
KERNEL=="mmcblk[0-9]*p[0-9]*", SUBSYSTEM=="block", ACTION=="remove" RUN+="/etc/udev/scripts/automountsdcard.sh %k"
KERNEL=="[hs]d[a-z][0-9]*", SUBSYSTEM=="block", ACTION=="add" RUN+="/etc/udev/scripts/automountsdcard.sh %k"
KERNEL=="[hs]d[a-z][0-9]*", SUBSYSTEM=="block", ACTION=="remove" RUN+="/etc/udev/scripts/automountsdcard.sh %k"
+60
View File
@@ -0,0 +1,60 @@
#! /bin/sh
destdir=/mnt/sdcard/
umount_partition()
{
if grep -qs "^/dev/$1 " /proc/mounts ; then
umount -lf "${destdir}";
fi
}
mount_partition()
{
if [ ! -d "${destdir}" ]; then
mkdir "${destdir}"
fi
if ! mount -t auto "/dev/$1" "${destdir}" -o nodev,noexec,nosuid; then
# failed to mount
exit 1
fi
}
check_if_boot_dev()
{
ret_val=`cat /proc/cmdline | grep "androidboot.bootdevice" |wc -l`
if [ $ret_val -ne 0 ]; then
boot_dev_list=`cat /proc/cmdline | awk '{ for ( n=1; n<=NF; n++ ) if($n ~ "androidboot.bootdevice") print $n }' | awk '{split($0,a, "=");print a[2]}'`
boot_dev=`echo $boot_dev_list | awk '{print $NF}'`
real_sysfs_path=`realpath /sys/class/block/$1`
ret_val=`echo $real_sysfs_path | grep /sys/devices/ | grep $boot_dev | wc -l`
fi
echo $ret_val
}
create_symlink()
{
real_sysfs_path=`realpath /sys/class/block/$1`
partition_name=`cat $real_sysfs_path/uevent | awk '{ for ( n=1; n<=NF; n++ ) if($n ~ "PARTNAME") print $n }' | awk '{split($0,a, "=");print a[2]}'`
mkdir -p /dev/block/bootdevice/by-name/
partition_name=/dev/block/bootdevice/by-name/$partition_name
target_dev=/dev/$1
ln -s $target_dev $partition_name
}
case "${ACTION}" in
add|"")
result=`check_if_boot_dev $1`
if [ $result -eq 1 ]; then
create_symlink $1 &
else
umount_partition ${1}
mount_partition ${1}
fi
;;
remove)
umount_partition ${1}
;;
esac
+1
View File
@@ -0,0 +1 @@
901D
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
Binary file not shown.
+1
View File
@@ -0,0 +1 @@
/firmware/image
@@ -0,0 +1,484 @@
# This file allows user to override the factory
# defaults for the WLAN Driver
# Enable IMPS or not
gEnableImps=1
# Enable BMPS or not
gEnableBmps=1
# Phy Mode (auto, b, g, n, etc)
# Valid values are 0-9, with 0 = Auto, 4 = 11n, 9 = 11ac
# 1 = 11abg, 2 = 11b, 3 = 11g, 5 = 11g only, 6 = 11n only
# 7 = 11b only 8 = 11ac only.
gDot11Mode=0
# Assigned MAC Addresses - This will be used until NV items are in place
# Each byte of MAC address is represented in Hex format as XX
Intf0MacAddress=000AF58989FF
Intf1MacAddress=000AF58989FE
Intf2MacAddress=000AF58989FD
Intf3MacAddress=000AF58989FC
# UAPSD service interval for VO,VI, BE, BK traffic
InfraUapsdVoSrvIntv=0
InfraUapsdViSrvIntv=0
InfraUapsdBeSrvIntv=0
InfraUapsdBkSrvIntv=0
# Flag to allow STA send AddTspec even when ACM is Off
gAddTSWhenACMIsOff=1
#Flag to enable HostARPOffload feature or not
hostArpOffload=1
#Flag to enable HostNSOffload feature or not
hostNSOffload=1
# 802.11n Protection flag
gEnableApProt=1
#Enable OBSS protection
gEnableApOBSSProt=1
#Enable/Disable UAPSD for SoftAP
gEnableApUapsd=1
# Fixed Rate
gFixedRate=0
# Maximum Tx power
# gTxPowerCap=30
# Fragmentation Threshold
# gFragmentationThreshold=2346
# RTS threshold
RTSThreshold=1048576
# Intra-BSS forward
gDisableIntraBssFwd=0
# WMM Enable/Disable
WmmIsEnabled=0
# 802.11d support
g11dSupportEnabled=1
gCountrycode=CN
# 802.11h support
g11hSupportEnabled=1
# DFS Master Capability
gEnableDFSMasterCap=1
# ESE Support and fast transition
EseEnabled=0
ImplicitQosIsEnabled=0
gNeighborLookupThreshold=76
gNeighborScanChannelMinTime=20
gNeighborScanChannelMaxTime=30
gMaxNeighborReqTries=3
# Legacy (non-ESE, non-802.11r) Fast Roaming Support
# To enable, set FastRoamEnabled=1
# To disable, set FastRoamEnabled=0
FastRoamEnabled=1
# Check if the AP to which we are roaming is better than current AP in
# terms of RSSI. Checking is disabled if set to Zero.Otherwise it will
# use this value as to how better the RSSI of the new/roamable AP should
# be for roaming
RoamRssiDiff=3
# To enable, set gRoamIntraBand=1 (Roaming within band)
# To disable, set gRoamIntraBand=0 (Roaming across band)
gRoamIntraBand=0
# RSSI threshold offset for 2G to 5G roam
roam_bad_rssi_thresh_offset_2g=0
#Short Guard Interval Enable/disable
gShortGI20Mhz=1
gShortGI40Mhz=1
#Auto Shutdown Value in seconds. A value of 0 means Auto shutoff is disabled
gAPAutoShutOff=0
#Auto Shutdown wlan : Value in Seconds. 0 means disabled. Max 1 day = 86400 sec
gWlanAutoShutdown = 0
# Not used.
gApAutoChannelSelection=0
#Preferred band (both or 2.4 only or 5 only)
BandCapability=0
#Channel Bonding
gChannelBondingMode5GHz=1
#Say gGoKeepAlivePeriod(5 seconds) and gGoLinkMonitorPeriod(10 seconds).
#For every 10 seconds DUT send Qos Null frame(i.e., Keep Alive frame if link
#is idle for last 10 seconds.) For both active and power save clients.
#Power save clients: DUT set TIM bit from 10th second onwards and till client
#honors TIM bit. If doesn't honor for 5 seconds then DUT remove client.
#Active clients: DUT send Qos Null frame for 10th seconds onwards if it is not
#success still we try on 11th second if not tries on 12th and so on till 15th
#second. Hence before disconnection DUT will send 5 NULL frames. Hence in any
#case DUT will detect client got removed in (10+5) seconds.
#i.e., (gGoKeepAlivePeriod + gGoLinkMonitorPeriod)..
#gGoLinkMonitorPeriod/ gApLinkMonitorPeriod is period where link is idle and
#it is period where we send NULL frame.
#gApLinkMonitorPeriod = 10
#gGoLinkMonitorPeriod = 10
#gGoKeepAlivePeriod/gApKeepAlivePeriod is time to spend to check whether frame
#are succeed to send or not. Hence total effective detection time is
# (gGoLinkMonitorPeriod + gGoKeepAlivePeriod) /
# (gApLinkMonitorPeriod + gApKeepAlivePeriod)
gGoKeepAlivePeriod = 20
gApKeepAlivePeriod = 20
#If set will start with active scan after driver load, otherwise will start with
#passive scan to find out the domain
gEnableBypass11d=1
#If set to 0, will not scan DFS channels
gEnableDFSChnlScan=1
# Enable DFS channel roam
# 0: DISABLE, 1: ENABLED_NORMAL, 2: ENABLED_ACTIVE
gAllowDFSChannelRoam=1
gVhtChannelWidth=2
#Data Inactivity Timeout when in powersave (in ms)
gDataInactivityTimeout=200
# Set txchainmask and rxchainmask
# These parameters are used only if gEnable2x2 is 0
# Valid values are 1,2
# Set gSetTxChainmask1x1=1 or gSetRxChainmask1x1=1 to select chain0.
# Set gSetTxChainmask1x1=2 or gSetRxChainmask1x1=2 to select chain1.
gSetTxChainmask1x1=1
gSetRxChainmask1x1=1
# Scan Timing Parameters
# gPassiveMaxChannelTime=110
# gPassiveMinChannelTime=60
gActiveMaxChannelTime=40
gActiveMinChannelTime=20
#If set to 0, MCC is not allowed.
gEnableMCCMode=1
# MCC to SCC Switch mode:
# 0-Disable
# 1-Enable
# 2-Force SCC if same band, with SAP restart
# 3-Force SCC if same band, without SAP restart by sending (E)CSA
# 4-Force SCC if same band (or) use SAP mandatory channel for DBS,
# without SAP restart by sending (E)CSA
gWlanMccToSccSwitchMode = 3
# 1=enable STBC; 0=disable STBC
gEnableRXSTBC=1
# 1=enable tx STBC; 0=disable
gEnableTXSTBC=1
# 1=enable rx LDPC; 0=disable
gEnableRXLDPC=1
#Enable/Disable Tx beamforming
gTxBFEnable=1
#Enable/Disable Tx beamformee in SAP mode
gEnableTxBFeeSAP=1
# Enable Tx beamforming in VHT20MHz
# Valid values are 0,1. If commented out, the default value is 0.
# 0=disable, 1=enable
gEnableTxBFin20MHz=1
#Enable/Disable SU Tx beamformer support.
gEnableTxSUBeamformer=1
gEnableFastRoamInConcurrency=1
#Maxium Channel time in msec
gMaxMediumTime = 6000
# 802.11K support
gRrmEnable=1
#Enable Power Save offload
gEnablePowerSaveOffload=2
#Enable firmware uart print
gEnablefwprint=0
# Firmware log mode
# Valid values are 0,1,2
# 0=Disable, 1=WMI, 2=DIAG
gEnablefwlog=1
# Maximum Receive AMPDU size (VHT only. Valid values:
# 0->8k 1->16k 2->32k 3->64k 4->128k)
gVhtAmpduLenExponent=7
# Maximum MPDU length (VHT only. Valid values:
# 0->3895 octets, 1->7991 octets, 2->11454 octets)
gVhtMpduLen=2
# Maximum number of wow filters required
#gMaxWoWFilters=22
# WOW Enable/Disable.
# 0 - Disable both magic pattern match and pattern byte match.
# 1 - Enable magic pattern match on all interfaces.
# 2 - Enable pattern byte match on all interfaces.
# 3 - Enable both magic pattern and pattern byte match on all interfaces.
# Default value of gEnableWoW is 3.
# gEnableWoW=0
# Enable or Disable MCC Adaptive Scheduler at the FW
# 1=Enable (default), 0=Disable
gEnableMCCAdaptiveScheduler=1
#Enable or Disable p2p device address administered
isP2pDeviceAddrAdministrated=0
# Set Thermal Power limit
TxPower2g=10
TxPower5g=10
# Remove Overlap channel restriction
gEnableOverLapCh=0
#Enable VHT on 2.4Ghz
gEnableVhtFor24GHzBand=1
#Maximum number of offload peers supported
# gMaxOffloadPeers=2
# controlling the following offload patterns
# through ini parameter. Default value is 1
# to disable set it to zero. ssdp = 0
# Setup multicast pattern for mDNS 224.0.0.251,
# SSDP 239.255.255.250 and LLMNR 224.0.0.252
ssdp=0
#Enable Memory Deep Sleep
gEnableMemDeepSleep=1
# Regulatory Setting; 0=STRICT; 1=CUSTOM
gRegulatoryChangeCountry=1
# RA filtering rate limit param, the current value would not
# help if the lifetime in RA is less than 3*60=3min. Then
# we need to change it, though it is uncommon.
# gRAFilterEnable=0
gRArateLimitInterval=600
# Maximum number of concurrent connections
gMaxConcurrentActiveSessions=3
# Disable/Enable GreenAP
# 0 to disable, 1 to enable, default: 1
gEnableGreenAp=0
# Radar PRI multiplier
gDFSradarMappingPriMultiplier=4
gPNOScanSupport=1
#Enable/Disable LPASS support
# 0 to disable, 1 to enable
gEnableLpassSupport=1
# Whether userspace country code setting shld have priority
gCountryCodePriority=1
# Enable(1)/Disable(0) SIFS burst
gEnableSifsBurst=1
# Enable or Disable Multi-user MIMO
# 1=Enable (default), 0=Disable
gEnableMuBformee=1
# Enable/Disable channel avoidance for SAP in SCC scenario
# 0 - disable
# 1 - enable
gSapSccChanAvoidance=0
# Inactivity time (in ms) to end TX Service Period while in IBSS power save mode
gIbssTxSpEndInactivityTime=10
# Enable support for TDLS
# 0 - disable
# 1 - enable
gEnableTDLSSupport=1
# Enable support for Implicit Trigger of TDLS. That is, wlan driver shall
# initiate TDLS Discovery towards a peer whenever setup criteria (throughput
# and RSSI) is met and then will initiate teardown when teardown criteria
# (idle packet count and RSSI) is met.
# 0 - disable
# 1 - enable
gEnableTDLSImplicitTrigger=1
# Enable TDLS External Control. That is, user space application has to
# first configure a peer MAC in wlan driver towards which TDLS is desired.
# Device will establish TDLS only towards those configured peers whenever
# TDLS criteria (throughput and RSSI threshold) is met and teardown TDLS
# when teardown criteria (idle packet count and RSSI) is met. However,
# device will accept TDLS connection if it is initiated from any other peer,
# even if that peer is not configured.
# 0 - disable
# 1 - enable
# For TDLS External Control, Implicit Trigger must also be enabled.
gTDLSExternalControl=1
# Enable support for TDLS off-channel operation
# 0 - disable
# 1 - enable
# TDLS off-channel operation will be invoked when there is only one
# TDLS connection.
gEnableTDLSOffChannel=1
# Enable or Disable Random MAC (Spoofing)
# 1=Enable, 0=Disable (default)
gEnableMacAddrSpoof=1
################ Datapath feature set Begin ################
# Bus bandwidth threshold values in terms of number of packets
gBusBandwidthHighThreshold=2000
gBusBandwidthMediumThreshold=500
gBusBandwidthLowThreshold=150
# Bus bandwidth compute timeout value in ms
gBusBandwidthComputeInterval=100
# VHT Tx/Rx MCS values
# Valid values are 0,1,2. If commented out, the default value is 0.
# 0=MCS0-7, 1=MCS0-8, 2=MCS0-9
gVhtRxMCS=2
gVhtTxMCS=2
# VHT Tx/Rx MCS values for 2x2
# Valid values are 0,1,2. If commented out, the default value is 0.
# 0=MCS0-7, 1=MCS0-8, 2=MCS0-9
gEnable2x2=1
gVhtRxMCS2x2=2
gVhtTxMCS2x2=2
#IPA config is a bit mask and following are the configurations.
#bit0 IPA Enable
#bit1 IPA PRE Filter enable
#bit2 IPv6 enable
#bit3 IPA Resource Manager (RM) enable
#bit4 IPA Clock scaling enable
#bit5 IPA uC ENABLE
#bit6 IPA uC STA ENABLE
#bit8 IPA Real Time Debugging
#gIPAConfig=0x7d
gIPAConfig=0
gIPADescSize=800
# Enable/Disable RX full reorder offload
gReorderOffloadSupported=1
# Enable CE classification
# 1 - enable(default) 0 - disable
gCEClassifyEnable=1
# Enable Rx handling options
# Rx_thread=1 RPS=2(default for ROME) NAPI=4(default for ihelium)
rx_mode=5
# Enable(Tx) fastpath for data traffic.
# 1 - enable(default) 0 - disable
gEnableFastPath=1
# This flag enables IP, TCP and UDP checksum offload
# 1 - enable(default) 0 - disable
gEnableIpTcpUdpChecksumOffload=1
# Enable TCP Segmentation Offload
# 1 - enable 0 - disable
TSOEnable=1
# Enable Generic Receive Offload
# LRO and GRO are exclusive to each other
# LRO support is deprecated on latest 4.9(SDM845) kernel
GROEnable=1
# Enable HT MPDU Density
# 4 for 2 micro sec
ght_mpdu_density=4
# Enable flow steering to enable multiple CEs for Rx flows.
# Multiple Rx CEs<==>Multiple Rx IRQs<==>probably different CPUs.
# Parallel Rx paths.
# 1 - enable 0 - disable(default)
gEnableFlowSteering=1
# Time in microseconds after which a NAPI poll must yield
ce_service_max_yield_time=500
#Maximum number of HTT messages to be processed per NAPI poll
ce_service_max_rx_ind_flush=1
# Maximum number of MSDUs the firmware will pack in one HTT_T2H_MSG_TYPE_RX_IN_ORD_PADDR_IND
maxMSDUsPerRxInd=8
################ Datapath feature set End ################
################ NAN feature set start ###################
# Enable NAN discovery (NAN 1.0)
# 1 - enable 0 - disable(default)
gEnableNanSupport=1
genable_nan_datapath=1
################ NAN feature set end #####################
adaptive_dwell_mode_enabled=1
hostscan_adaptive_dwell_mode=1
adapt_dwell_lpf_weight=80
adapt_dwell_wifi_act_threshold=10
# Enable/Disable DTIM Synth
# 1- Enable DTIM Synth
# 0- Disable DTIM Synth
gEnableLPRx=0
#############################################
# MAWC related configurations
#############################################
# MAWCEnabled - Enable/Disable Motion Aided Wireless Connectivity Global
MAWCEnabled=0
# mawc_roam_enabled - Enable/Disable MAWC during roaming
mawc_roam_enabled=0
# Enable/Disable the Motion Aided Wireless Connectivity
# based NLO using this parameter
mawc_nlo_enabled=0
END
# Note: Configuration parser would not read anything past the END marker
qdf_trace_enable_hdd=255
qdf_trace_enable_sme=255
qdf_trace_enable_pe=255
qdf_trace_enable_wma=255
@@ -0,0 +1,18 @@
# Copyright (c) 2017 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#
[Unit]
Description=adsp start service
SourcePath=/etc/initscripts/adsp.sh
[Service]
Restart=no
TimeoutSec=5min
RemainAfterExit=true
ExecStart=/etc/initscripts/adsp.sh start
ExecStop=/etc/initscripts/adsp.sh stop
[Install]
WantedBy=multi-user.target
@@ -0,0 +1,15 @@
# Copyright (c) 2017 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#
[Unit]
Description=adsprpc Service
SourcePath= /usr/bin/adsprpcd
[Service]
Restart=always
ExecStart= /usr/bin/adsprpcd
[Install]
WantedBy=multi-user.target
@@ -0,0 +1,16 @@
# Copyright (c) 2018 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#
[Unit]
Description=start dsp variants
SourcePath=/usr/bin/cdsp.sh
Before=cdsprpcd.service
[Service]
Restart=always
ExecStart=/bin/sh /usr/bin/cdsp.sh
[Install]
WantedBy=multi-user.target
@@ -0,0 +1,15 @@
# Copyright (c) 2018 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#
[Unit]
Description=cdsprpc Service
SourcePath= /usr/bin/cdsprpcd
[Service]
Restart=always
ExecStart= /usr/bin/cdsprpcd
[Install]
WantedBy=multi-user.target
@@ -0,0 +1 @@
/lib/systemd/system/init_sys_mss.service
@@ -0,0 +1 @@
/lib/systemd/system/rmt_storage.service
@@ -0,0 +1,39 @@
# Copyright (c) 2016, The Linux Foundation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the documentation and/or other materials provided
# with the distribution.
# * Neither the name of The Linux Foundation nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
[Unit]
SourcePath=/sbin/init_mss
Description=Modem Init Service
After=firmware-mount.service
[Service]
Restart=on-failure
RemainAfterExit=yes
ExecStart=/sbin/init_mss
[Install]
WantedBy=multi-user.target
@@ -0,0 +1,16 @@
# Copyright (c) 2017 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#
[Unit]
Description=ipa firmware load script
SourcePath=/etc/init.d/ipa_fws.sh
[Service]
Type=forking
Restart=no
ExecStart=/etc/init.d/ipa_fws.sh
[Install]
WantedBy=multi-user.target
@@ -0,0 +1,17 @@
# Copyright (c) 2017 Qualcomm Technologies, Inc.
# All Rights Reserved.
# Confidential and Proprietary - Qualcomm Technologies, Inc.
#
[Unit]
Description= irsc-util Service
SourcePath=/usr/bin/irsc_util
DefaultDependencies=no
[Service]
Restart=no
RemainAfterExit=yes
ExecStart=/usr/bin/irsc_util /etc/sec_config
[Install]
WantedBy=sysinit.target
@@ -0,0 +1,12 @@
[Unit]
SourcePath=/sbin/leprop-service
Description=leprop Service
After=systemrw-build.prop.service
Before=persist-prop.service
[Service]
Restart=always
ExecStart=/sbin/leprop-service
[Install]
WantedBy=multi-user.target
@@ -0,0 +1,41 @@
# Copyright (c) 2016, The Linux Foundation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the documentation and/or other materials provided
# with the distribution.
# * Neither the name of The Linux Foundation nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
[Unit]
SourcePath=/etc/initscripts/logd
Description=logd Service
[Service]
Type=forking
Restart=no
IgnoreSIGPIPE=no
KillMode=process
GuessMainPID=no
RemainAfterExit=yes
ExecStart=/etc/initscripts/logd start
ExecStop=/etc/initscripts/logd stop
@@ -0,0 +1 @@
/lib/systemd/system/adsp.service
@@ -0,0 +1 @@
/lib/systemd/system/init_sys_mss.service
@@ -0,0 +1 @@
/lib/systemd/system/ipa_fws.service
@@ -0,0 +1 @@
/lib/systemd/system/leprop.service
@@ -0,0 +1 @@
/lib/systemd/system/logd.service
@@ -0,0 +1 @@
/lib/systemd/system/persist-prop.service
@@ -0,0 +1 @@
/lib/systemd/system/rmt_storage.service
@@ -0,0 +1 @@
/lib/systemd/system/usb.service
@@ -0,0 +1,11 @@
[Unit]
Description=persist-prop service
After=leprop.service
Requires=leprop.service
[Service]
ExecStart=/sbin/persist-prop.sh
Type=oneshot
[Install]
WantedBy=multi-user.target
@@ -0,0 +1,13 @@
[Unit]
Description= Remote Storage Service
SourcePath=/sbin/rmt_storage
After=usb.service
Before=init_sys_mss.service
[Service]
Restart=always
ExecStartPre=/bin/bash -c "/usr/comma/wait_for_file.sh /dev/block/bootdevice/by-name/modemst1; /usr/comma/wait_for_file.sh /dev/block/bootdevice/by-name/modemst2; /usr/comma/wait_for_file.sh /dev/block/bootdevice/by-name/fsc; /usr/comma/wait_for_file.sh /dev/block/bootdevice/by-name/fsg"
ExecStart=/sbin/rmt_storage
[Install]
WantedBy=multi-user.target
@@ -0,0 +1 @@
/lib/systemd/system/irsc_util.service
@@ -0,0 +1,44 @@
# Copyright (c) 2016, The Linux Foundation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following
# disclaimer in the documentation and/or other materials provided
# with the distribution.
# * Neither the name of The Linux Foundation nor the names of its
# contributors may be used to endorse or promote products derived
# from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
[Unit]
SourcePath=/etc/initscripts/usb
Description=usb Service
After=systemrw.mount leprop.service
Requires=systemrw-adb_devid.service systemrw-boot_hsusb_comp.service
[Service]
Type=forking
Restart=no
TimeoutSec=5min
IgnoreSIGPIPE=no
KillMode=process
GuessMainPID=no
RemainAfterExit=yes
ExecStart=/etc/initscripts/usb start
ExecStop=/etc/initscripts/usb stop
+1
View File
@@ -0,0 +1 @@
/lib/ld-linux-aarch64.so.1
BIN
View File
Binary file not shown.
BIN
View File
Binary file not shown.
BIN
View File
Binary file not shown.

Some files were not shown because too many files have changed in this diff Show More